;; The Slider : edit_box combination is suitable for the
;; range -32768 to 32767. For values outside this range
;; here is the solution ...
(defun c:spin(/ SPIN_CARD X Y X2 Y2 Y5 X4 Y3 3X4 Y-Y3 Y-Y5 )

(setq SPIN_CARD (load_dialog "spin.dcl"))
(if (not (new_dialog "spin" SPIN_CARD)) (exit))

(if (not EBOX) (setq EBOX 32768))
(set_tile "ebox" (rtos EBOX 2 0))

(start_image "spin")

(setq X (dimx_tile "spin"))        ;; image size
(setq Y (dimy_tile "spin"))

(setq X2 (fix (/ X 2)))            ;; half image size
(setq Y2 (fix (/ Y 2)))            ;; vertical split

(setq Y5 (fix (/ Y 8)))

(setq X4 (fix (/ X 4)))
(setq Y3 (fix (/ Y 3)))

(setq 3X4 (fix (* (/ X 4) 3)))

(setq Y-Y3 (fix (- Y Y3)))
(setq Y-Y5 (fix (- Y Y5)))

(fill_image 0 0 X Y 2)             ;; fill with yellow color

(vector_image X4 Y3 3X4 Y3 1)      ;; the triangle
(vector_image X4 Y3 X2  Y5 1)      ;; pointing up
(vector_image X2 Y5 3X4 Y3 1)

(vector_image X4 Y-Y3 3X4 Y-Y3 1)  ;; the triangle 
(vector_image X4 Y-Y3 X2  Y-Y5 1)  ;; pointing down
(vector_image X2 Y-Y5 3X4 Y-Y3 1)

(vector_image 0 Y2 X Y2 1)         ;; dividing horizontal line

(end_image)

(action_tile "spin" "(spin_it $key $value $y)")
(action_tile "ebox" "(setq EBOX (distof $value 4))")

(action_tile "accept" "(done_dialog)")

(start_dialog)
(unload_dialog SPIN_CARD)

(princ (strcat "\n" (rtos EBOX 2 0))) (princ)

) ;; defun c:spin

;;==========;;==========;;==========;;==========;;==========;;==========

(defun spin_it (key val y)

(setq THRESHOLD (/ (dimy_tile key) 2))    

(if (> y THRESHOLD)   ;; if user clicks in the lower half

    (set_tile "ebox" (itoa (setq EBOX (- (atoi (get_tile "ebox")) 1))))  ;; decrease by 1
    (set_tile "ebox" (itoa (setq EBOX (+ (atoi (get_tile "ebox")) 1))))  ;; increase by 1
)
;;(princ)
) ;; defun spin_it

(princ "Type SPIN to use.")(princ)
